// config_report.cc. Generated from config.report by tools/mk_cfgrpt.sh

namespace isc {
namespace detail {

extern const char* const config_report[] = {
    ";;;; ",
    ";;;;        Kea source configure results:",
    ";;;;     -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-",
    ";;;; ",
    ";;;; Package:",
    ";;;;   Name:              kea",
    ";;;;   Version:           2.0.2",
    ";;;;   Extended version:  2.0.2 (tarball)",
    ";;;;   Version type:      stable",
    ";;;;   OS Family:         Linux",
    ";;;; ",
    ";;;;   Prefix:            /usr",
    ";;;;   Hooks directory:   /usr/lib/kea/hooks",
    ";;;;   Premium hooks:     no",
    ";;;; ",
    ";;;; Configure arguments:",
    ";;;;  '--build=x86_64-linux' '--host=riscv64-pine64-linux' '--target=riscv64-pine64-linux' '--prefix=/usr' '--exec_prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--libexecdir=/usr/libexec' '--datadir=/usr/share' '--sysconfdir=/etc' '--sharedstatedir=/com' '--localstatedir=/var' '--libdir=/usr/lib' '--includedir=/usr/include' '--oldincludedir=/usr/include' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--disable-silent-rules' '--disable-dependency-tracking' '--with-libtool-sysroot=/recipe-sysroot' '--with-boost-libs=-lboost_system' '--with-log4cplus=/recipe-sysroot/usr' '--with-openssl=/recipe-sysroot/usr' '--disable-static' 'build_alias=x86_64-linux' 'host_alias=riscv64-pine64-linux' 'target_alias=riscv64-pine64-linux' 'CXX=riscv64-pine64-linux-g++    -fstack-protector-strong  -O2 -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security --sysroot=/recipe-sysroot' 'CXXFLAGS= -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map==/usr/src/debug/kea/2.0.2-r0                      -fdebug-prefix-map==/usr/src/debug/kea/2.0.2-r0                      -fdebug-prefix-map=/recipe-sysroot=                      -fdebug-prefix-map=/recipe-sysroot-native=   -mtune=sifive-u74 -fvisibility-inlines-hidden' 'LDFLAGS=-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -fmacro-prefix-map==/usr/src/debug/kea/2.0.2-r0                      -fdebug-prefix-map==/usr/src/debug/kea/2.0.2-r0                      -fdebug-prefix-map=/recipe-sysroot=                      -fdebug-prefix-map=/recipe-sysroot-native=  -Wl,-z,relro,-z,now' 'CPPFLAGS=' 'CC=riscv64-pine64-linux-gcc    -fstack-protector-strong  -O2 -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security --sysroot=/recipe-sysroot' 'CFLAGS= -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map==/usr/src/debug/kea/2.0.2-r0                      -fdebug-prefix-map==/usr/src/debug/kea/2.0.2-r0                      -fdebug-prefix-map=/recipe-sysroot=                      -fdebug-prefix-map=/recipe-sysroot-native=   -mtune=sifive-u74'",
    ";;;; ",
    ";;;; C++ Compiler:",
    ";;;;   CXX:             riscv64-pine64-linux-g++    -fstack-protector-strong  -O2 -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security --sysroot=/recipe-sysroot",
    ";;;;   CXX_VERSION:     riscv64-pine64-linux-g++ (GCC) 11.3.0",
    ";;;;   CXX_STANDARD:    201703",
    ";;;;   DEFS:            -DHAVE_CONFIG_H",
    ";;;;   CPPFLAGS:         -DOS_LINUX  -I$(top_srcdir) -I$(top_builddir)",
    ";;;;   CXXFLAGS:         -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map==/usr/src/debug/kea/2.0.2-r0                      -fdebug-prefix-map==/usr/src/debug/kea/2.0.2-r0                      -fdebug-prefix-map=/recipe-sysroot=                      -fdebug-prefix-map=/recipe-sysroot-native=   -mtune=sifive-u74 -fvisibility-inlines-hidden",
    ";;;;   LDFLAGS:         -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -fmacro-prefix-map==/usr/src/debug/kea/2.0.2-r0                      -fdebug-prefix-map==/usr/src/debug/kea/2.0.2-r0                      -fdebug-prefix-map=/recipe-sysroot=                      -fdebug-prefix-map=/recipe-sysroot-native=  -Wl,-z,relro,-z,now -lpthread",
    ";;;;   KEA_CXXFLAGS:     -Wall -Wextra -Wnon-virtual-dtor -Wwrite-strings -Woverloaded-virtual -Wno-sign-compare -pthread -Wno-missing-field-initializers -fPIC",
    ";;;; ",
    ";;;; Python:",
    ";;;;   PYTHON_VERSION:  not needed (because kea-shell is disabled)",
    ";;;; ",
    ";;;; Boost:",
    ";;;;   BOOST_VERSION:   1.78",
    ";;;;   BOOST_INCLUDES:  ",
    ";;;;   BOOST_LIBS:      -lboost_system -lboost_system",
    ";;;; ",
    ";;;; OpenSSL:",
    ";;;;   CRYPTO_VERSION:  OpenSSL 3.0.9 30 May 2023",
    ";;;;   CRYPTO_CFLAGS:   ",
    ";;;;   CRYPTO_INCLUDES: -I/recipe-sysroot/usr/include",
    ";;;;   CRYPTO_LDFLAGS:  ",
    ";;;;   CRYPTO_LIBS:     -L/recipe-sysroot/usr/lib -lssl -lcrypto",
    ";;;;   TLS support:     yes",
    ";;;; ",
    ";;;; Botan: no",
    ";;;; ",
    ";;;; Log4cplus:",
    ";;;;   LOG4CPLUS_VERSION:  2.0.8",
    ";;;;   LOG4CPLUS_INCLUDES: -I/recipe-sysroot/usr/include",
    ";;;;   LOG4CPLUS_LIBS:     -L/recipe-sysroot/usr/lib -llog4cplus",
    ";;;; ",
    ";;;; Flex/bison:",
    ";;;;   FLEX:  flex",
    ";;;;   BISON: ",
    ";;;; ",
    ";;;; MySQL:",
    ";;;;   no",
    ";;;; ",
    ";;;; PostgreSQL:",
    ";;;;   no",
    ";;;; ",
    ";;;; Cassandra CQL:",
    ";;;;   no",
    ";;;; ",
    ";;;; Sysrepo:",
    ";;;;   no",
    ";;;; ",
    ";;;; Google Test:",
    ";;;;   no",
    ";;;; ",
    ";;;; Google Benchmark:",
    ";;;;   no",
    ";;;; ",
    ";;;; Developer:",
    ";;;;   Enable Debugging:          no",
    ";;;;   Google Tests:              no",
    ";;;;   Google Benchmark:          no",
    ";;;;   Valgrind:                  not found",
    ";;;;   C++ Code Coverage:         no",
    ";;;;   Logger checks:             no",
    ";;;;   Install existing manuals:  no",
    ";;;;   Generate Documentation:    no",
    ";;;;   Generate Parser:           no",
    ";;;;   Generate Messages Files:   no",
    ";;;;   Perfdhcp:                  no",
    ";;;;   Kea-shell:                 no",
    ";;;;   Enable fuzzing:            no",
    ";;;; ",
    ""
};

}
}
